<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class TestPackageTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('test_packages')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'test_package.test_package.view',
                'name'      => 'View TestPackage',
            ],
            [
                'slug'      => 'test_package.test_package.create',
                'name'      => 'Create TestPackage',
            ],
            [
                'slug'      => 'test_package.test_package.edit',
                'name'      => 'Update TestPackage',
            ],
            [
                'slug'      => 'test_package.test_package.delete',
                'name'      => 'Delete TestPackage',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/test_package/test_package',
                'name'        => 'TestPackage',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/test_package/test_package',
                'name'        => 'TestPackage',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'test_package',
                'name'        => 'TestPackage',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'TestPackage',
                'module'    => 'TestPackage',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'test_package.test_package.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
