<?php

namespace Litecms\TestPackage\Repositories\Eloquent;

use Litecms\TestPackage\Interfaces\TestPackageRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TestPackageRepository extends BaseRepository implements TestPackageRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.test_package.test_package.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.test_package.test_package.model.model');
    }
}
