<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'test_package',

    /*
     * Modules.
     */
    'modules'   => ['test_package'],

    
    'test_package'       => [
        'model' => [
            'model'                 => \Litecms\TestPackage\Models\TestPackage::class,
            'table'                 => 'test_packages',
            'presenter'             => \Litecms\TestPackage\Repositories\Presenter\TestPackagePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id'],
            'translatables'         => [],
            'upload_folder'         => 'test_package/test_package',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'TestPackage',
            'module'    => 'TestPackage',
        ],

    ],
];
