Lavalite package that provides test_package management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/test_package`.

    "litecms/test_package": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\TestPackage\Providers\TestPackageServiceProvider::class,

And also add it to alias

    'TestPackage'  => Litecms\TestPackage\Facades\TestPackage::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\TestPackageTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\TestPackage\Providers\TestPackageServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\TestPackage\Providers\TestPackageServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\TestPackage\Providers\TestPackageServiceProvider" --tag="view"


## Usage


